Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001236graphvizBuild/Installpublic2008-01-08 15:252013-10-22 13:01
ReporterStephen North 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSPowerPC-Linux-Fedora 7OS Version
Summary0001236: non-root make install with local prefix broken
Description



after configure --prefix=$HOME/arch/$ARCH
then make install
/bin/mkdir: cannot create directory `/usr/lib64/tcl8.4/graphviz-2.17': Permission denied
Additional Information

Is this related to the issue of installing against various interpreters?

In any case it's a new error - I used to run "make install" cleanly.

[ellson] s, this is the problem we talked about. You now need root priviledges to run make install, even if your --prefix is writable, because
library extensions are install where the language wants them.

I'm not happy with this either. I agree that this is a bug.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTno longer need root to install in local --prefix
FORMER-ID1267
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.17
Attached Files

- Relationships

-  Notes
User avatar (0000583)
ellson (administrator)
2013-10-22 13:01

For a long time now it has been possible install without root permissions. Possibly some language bindings will not be found automatically by the script language, but that can be worked around in that language.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 13:01 ellson FIX-COMMENT => no longer need root to install in local --prefix
2013-10-22 13:01 ellson Note Added: 0000583
2013-10-22 13:01 ellson Status acknowledged => resolved
2013-10-22 13:01 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker